// 2DDisplayDoc.h : interface of the C2DDisplayDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_2DDISPLAYDOC_H__41480E94_3F5D_11D7_8611_0060B0EE281E__INCLUDED_)
#define AFX_2DDISPLAYDOC_H__41480E94_3F5D_11D7_8611_0060B0EE281E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <OCC_2dDoc.h>

class C2DDisplayDoc : public OCC_2dDoc
{
protected: // create from serialization only
	C2DDisplayDoc();
	DECLARE_DYNCREATE(C2DDisplayDoc)

public:
	virtual ~C2DDisplayDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// Generated message map functions
protected:
	//{{AFX_MSG(C2DDisplayDoc)
	afx_msg void OnBUTTONTestText();
   	afx_msg void OnBUTTONTestMarkers();
	afx_msg void OnBUTTONTestLine();
	afx_msg void OnBUTTONErase();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif // !defined(AFX_2DDISPLAYDOC_H__41480E94_3F5D_11D7_8611_0060B0EE281E__INCLUDED_)
